Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] openmpi-1.5.2 installation problem
From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2011-07-06 12:22:15


Please send all the info listed here (using the configure line with the LDFLAGS=... argument):

    http://www.open-mpi.org/community/help/

On Jul 6, 2011, at 12:12 PM, Sushil Mishra wrote:

> I tried it like fallowing but it do not work :
> ./configure LDFLAGS=-L/usr/heimdal/lib --prefix=$AMBERHOME
>
> It still has the same error. Any other suggestions ?
>
>
>
> On Wed, Jul 6, 2011 at 4:17 PM, Jeff Squyres <jsquyres_at_[hidden]> wrote:
> I think you'll need to add LDFLAGS=-L/usr/heimdal/lib to your configure line so that the linker can find it. E.g.:
>
> ./configure LDFLAGS=-L/usr/heimdal/lib ...
>
> You may need to add /usr/heimdal/lib to your LD_LIBRARY_FLAGS, so that the run-time linker can find it, too (ie., when you actually run OMPI executables such as mpirun).
>
> On Jul 6, 2011, at 5:27 AM, Sushil Mishra wrote:
>
> > Hi all:
> > I am trying to install openmpi-1.5.2 in Debian 4.3.2-1.1. I am not a root user and I have to do it as user. The problem I am facing is in "make all" and error is fallowing:
> >
> >
> > Making all in mca/plm/tm
> > make[2]: Entering directory `/home/sushil/Softwares/amber11/AmberTools/src/openmpi-1.5.2/orte/mca/plm/tm'
> > CC plm_tm_component.lo
> > CC plm_tm_module.lo
> > CCLD mca_plm_tm.la
> > /bin/grep: /usr/lib/libgssapi.la: No such file or directory
> > /bin/sed: can't read /usr/lib/libgssapi.la: No such file or directory
> > libtool: link: `/usr/lib/libgssapi.la' is not a valid libtool archive
> > make[2]: *** [mca_plm_tm.la] Error 1
> > make[2]: Leaving directory `/home/sushil/Softwares/amber11/AmberTools/src/openmpi-1.5.2/orte/mca/plm/tm'
> > make[1]: *** [all-recursive] Error 1
> > make[1]: Leaving directory `/home/sushil/Softwares/amber11/AmberTools/src/openmpi-1.5.2/orte'
> > make: *** [all-recursive] Error 1
> >
> > It cant find libgssapi.la file in /usr/lib whereas this file is present in /usr/heimdal/lib/ not in /usr/lib/ . I cant see where to change the path so that it can use it from there, or really I am missing some other packages ? Can any of you please suggest me how to tell this path to the script?
> >
> > Sincerely
> > Sushil
> >
> > _______________________________________________
> > users mailing list
> > users_at_[hidden]
> > http://www.open-mpi.org/mailman/listinfo.cgi/users
>
>
> --
> Jeff Squyres
> jsquyres_at_[hidden]
> For corporate legal information go to:
> http://www.cisco.com/web/about/doing_business/legal/cri/
>
>
> _______________________________________________
> users mailing list
> users_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/users
>
> _______________________________________________
> users mailing list
> users_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/users

-- 
Jeff Squyres
jsquyres_at_[hidden]
For corporate legal information go to:
http://www.cisco.com/web/about/doing_business/legal/cri/